View Issue Details

IDProjectCategoryLast Update
0020356AI War 2[All Projects] Bug - GameplayJan 9, 2019 7:53 am
ReporterHeartHunter7Assigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.774 Five Thousand Days 
Fixed in Version0.810 Brace for Cross Planet Attack 
Summary0020356: If units have not enough place, they will teleport to other place on the map
DescriptionRight side. Its my main army after Wormhole moving.
Left side. Its my a little part of main army, this army was teleported to this strange place.
TagsNo tags attached.

Relationships

related to 0020397 resolvedBadgerBadger Ship icons appearing and disappearing in the middle of the planet 
has duplicate 0020665 resolvedBadgerBadger When moving through a wormhole while paused, some ships appear on random places in the target system 
has duplicate 0020800 resolvedBadgerBadger Some ships enter new galaxy not at wormhole 
related to 0020871 resolvedBadgerBadger Ships teleport to a far away location when going through a wormhole 

Activities

HeartHunter7

Sep 25, 2018 1:29 pm

reporter  

teleport.savemet (42 bytes)
teleport.save (1,773,702 bytes)
20180925202651_1.jpg (624,116 bytes)

x4000Bughunter

Oct 2, 2018 7:15 pm

administrator   ~0049702

Can you verify if this still happens in 0.778? I think this might have been more orders-craziness, but I'm not sure.

HeartHunter7

Oct 3, 2018 5:22 pm

reporter   ~0049761

Bug is still here, but hard to reproducte. I can only say, that i saw the fly icons, where yellow circle, like in old versions of the game. And part of army teleported to this position. On my screenshot, its one Ark.

20181004001921_1.jpg (420,582 bytes)

HeartHunter7

Oct 4, 2018 8:00 am

reporter   ~0049770

Just press x5 and wait, when enemy will teleported to black circle

20181004145823_1.jpg (644,581 bytes)
29.save (2,292,268 bytes)
29.savemet (46 bytes)

etheric42

Oct 5, 2018 11:56 pm

manager   ~0049788

Youtuber has this happen at 6:29 at video https://www.youtube.com/watch?v=TnMg_jyAoR8. Ovalcircle from Discord reproduces it on his copy as well. See ticket 20397 for Ovalcircle's ticket.

Ovalcircle

Oct 6, 2018 12:14 am

reporter   ~0049789

You can see it happen to a lot more ships on another video at https://youtu.be/2z5DoZNvMm8?t=1610 (25:58). Fortunately, he didn't notice.

RocketAssistedPuffin

Oct 20, 2018 7:06 pm

developer   ~0050192

Still here - someone on Steam Community mentioned it - Terrarius to be credited in addition.

stitch123

Oct 22, 2018 12:53 pm

reporter   ~0050226

I have posted a video proof of this happening in 0.804 here: https://www.filedropper.com/aiwar22018-10-2123-16-33-643.
I thought it only happened while paused, though. Seems like paused/running doesn't matter after all.

RocketAssistedPuffin

Jan 9, 2019 7:53 am

developer   ~0050707

Appears to be fixed by Badger now - ludicrous testing cases to exaggerate it comes up with no incidents.

Issue History

Date Modified Username Field Change
Sep 25, 2018 1:29 pm HeartHunter7 New Issue
Sep 25, 2018 1:29 pm HeartHunter7 File Added: 20180925202651_1.jpg
Sep 25, 2018 1:29 pm HeartHunter7 File Added: teleport.save
Sep 25, 2018 1:29 pm HeartHunter7 File Added: teleport.savemet
Oct 2, 2018 7:15 pm x4000Bughunter Assigned To => x4000Bughunter
Oct 2, 2018 7:15 pm x4000Bughunter Status new => feedback
Oct 2, 2018 7:15 pm x4000Bughunter Note Added: 0049702
Oct 3, 2018 5:22 pm HeartHunter7 File Added: 20181004001921_1.jpg
Oct 3, 2018 5:22 pm HeartHunter7 Note Added: 0049761
Oct 3, 2018 5:22 pm HeartHunter7 Status feedback => assigned
Oct 4, 2018 8:00 am HeartHunter7 File Added: 20181004145823_1.jpg
Oct 4, 2018 8:00 am HeartHunter7 File Added: 29.save
Oct 4, 2018 8:00 am HeartHunter7 File Added: 29.savemet
Oct 4, 2018 8:00 am HeartHunter7 Note Added: 0049770
Oct 5, 2018 11:56 pm etheric42 Note Added: 0049788
Oct 6, 2018 12:14 am Ovalcircle Note Added: 0049789
Oct 20, 2018 7:06 pm RocketAssistedPuffin Note Added: 0050192
Oct 20, 2018 7:10 pm Dominus Arbitrationis Relationship added related to 0020397
Oct 21, 2018 6:54 pm RocketAssistedPuffin Relationship added has duplicate 0020665
Oct 22, 2018 12:53 pm stitch123 Note Added: 0050226
Nov 25, 2018 12:24 pm RocketAssistedPuffin Relationship added has duplicate 0020800
Dec 29, 2018 2:22 pm Dune Relationship added related to 0020871
Jan 9, 2019 7:53 am RocketAssistedPuffin Assigned To x4000Bughunter => BadgerBadger
Jan 9, 2019 7:53 am RocketAssistedPuffin Status assigned => resolved
Jan 9, 2019 7:53 am RocketAssistedPuffin Resolution open => fixed
Jan 9, 2019 7:53 am RocketAssistedPuffin Fixed in Version => 0.810 Brace for Cross Planet Attack
Jan 9, 2019 7:53 am RocketAssistedPuffin Note Added: 0050707